# Get payroll employee

Endpoint: GET /payroll/employees/{id}
Version: 2.0.0
Security: OAuth2, OAuth2Sandbox

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `data` (object)

  - `data.id` (integer)
    Identifier of the employee in Fennoa.
    Example: 123

  - `data.person_number` (string)
    User modifiable employee identifier in Fennoa.
    Example: P1005

  - `data.first_name` (string)
    Example: Veera

  - `data.last_name` (string)
    Example: Virtanen

  - `data.date_of_birth` (string | null)

  - `data.identity_number` (string | null)
    Example: 010101-900P

  - `data.tax_number` (integer | null)
    Example: 100012345678

  - `data.email` (string | null)
    Example: vvirtanen@example.com

  - `data.phone` (string | null)
    Example: +35844123456

  - `data.address` (object)

  - `data.address.street` (string, required)
    Example: Esimerkkikatu 1

  - `data.address.postal_code` (string, required)
    Example: 00100

  - `data.address.city` (string, required)
    Example: Helsinki

  - `data.address.country` (string, required)
    ISO 3166-1 alpha-2 country code
    Example: FI

  - `data.hire_date` (string | null)

  - `data.employment_group_id` (integer | null)
    ID of the employment group the employee belongs to.
    Example: 3

  - `data.payroll_delivery_method` (string)
    Enum: "no_delivery", "email", "esalary"

  - `data.iban` (string | null)
    Example: FI2112345600000785

  - `data.bic` (string | null)
    Example: NDEAFIHH

  - `data.locale` (string | null)
    ISO 639-1 language code
    Enum: "fi", "sv", "en", null

  - `data.international_situations` (object)

  - `data.international_situations.foreign_person_id` (string | null)
    Example: M1234567A

  - `data.international_situations.tin` (string | null)
    Tax Identification Number
    Example: 000-00-0000

  - `data.international_situations.gender` (string | null)
    Enum: "male", "female", "other", null

  - `data.international_situations.insured_in_finland` (boolean)

  - `data.international_situations.a1_certificate_id` (integer | null)
    A1 certificate / social security situation:
- `1` From Finland A1 certificate or agreement
- `2` To Finland A1 certificate or agreement
- `3` Non-EU/EEA country/non-social security agreement country (third country)
    Enum: 1, 2, 3, null

  - `data.international_situations.has_non_resident_tax_liability` (boolean)

  - `data.international_situations.work_address` (any)

